const viewerLiteInstance = WynBi.createViewerLite({
  token: 'TOKEN_YOU_GOT_FROM_WYN_SERVER',
  baseUrl: 'WYN_SERVER_ADDRESS',
  dashboardId: 'xxxxxxxxxxxxxxx',
});

viewerLiteInstance.initialize({
  container: document.querySelector('#demo'),
}).then((dash) => {
  // prepare scenario doms
  const centerDom = document.querySelector('#center');
  const headerDom = document.querySelector('#header');
 
  const scenarioDom0 = document.querySelector('#scenario-0');
  const scenarioDom1 = document.querySelector('#scenario-1');
  const scenarioDom2 = document.querySelector('#scenario-2');
  const scenarioDom3 = document.querySelector('#scenario-3');
  const scenarioDom4 = document.querySelector('#scenario-4');
  const scenarioDom5 = document.querySelector('#scenario-5');
  const scenarioDom6 = document.querySelector('#scenario-6');
  const scenarioDom7 = document.querySelector('#scenario-7');
 
  // prepare scenario model  
  const center = dash.getScenarioByName('pivotTable');
  const header = dash.getScenarioByName('richEditor');
  const scenario0 = dash.getScenarioByName('gauge');
  const scenario1 = dash.getScenarioByName('column');
  const scenario2 = dash.getScenarioByName('pie');
  const scenario3 = dash.getScenarioByName('pie-1');
  const scenario4 = dash.getScenarioByName('indicator');
  const scenario5 = dash.getScenarioByName('visual');
  const scenario6 = dash.getScenarioByName('labelSlicer');
  const scenario7 = dash.getScenarioByName('treeMap');
 
  // connect model on dom  
  center.connect(centerDom);
  header.connect(headerDom);
  scenario0.connect(scenarioDom0);
  scenario1.connect(scenarioDom1);
  scenario2.connect(scenarioDom2);
  scenario3.connect(scenarioDom3);
  scenario4.connect(scenarioDom4);
  scenario5.connect(scenarioDom5);
  scenario6.connect(scenarioDom6);
  scenario7.connect(scenarioDom7);
 
  // make dashboard render  
  dash.refresh();
});
